Tutoriales

Como instalar el DNI electrónico en Mac OS X El Capitan

dni-electronico-en-mac

Como instalar el DNI electrónico en Mac OS X El Capitan

Acaba de aterrizar el OS X El Capitan y teníamos una duda: Cómo instalar el DNI electrónico y si sería compatible como lo era con el OS X Yosemite. Pues bien, prueba conseguida.

Firefox sí, Safari no

¿Por qué usamos Firefox? Sigue siendo un navegador fiable, sobrio y seguro. Además, al contrario de Chrome, no viene preinstalado ningún componente.

CoolBox CRE-065, el elegido

Hemos elegido el lector CoolBox CRCOOCRE065 – Card reader externo porque nos parecía bastante completo, con un buen precio, potable para tenerlo con el iMac o con el MacBook Pro.

Es un dispositivo multitarjetas con 3 USB.

Pasos para instalar el DNIe en el Mac

Para poder usar el DNIe español, estos son los pasos que debéis seguir:

  • Colocamos el lector CoolBox CRE-065 ya en una de las entradas USB de nuestro equipo
  • Entramos en la página de DNI electrónico oficial de la Policía
  • Nos vamos al área de descargas, y pinchamos donde pone Sistemas GNU/Linux y Sistemas MacOS.
  •  Pinchamos en la opción: Software para Sistemas MacOS X 32/64 bits.
  • Descargamos los controladores necesarios. En este caso, la última versión existente que es la 1.2.1 de Yosemite (SÍ es compatible) Yosemite_libpkcs11-dnie-1.2.1_OSX_10.10.dmg
  • El archivo ocupa 2,3mb por lo cual, tardará poco en descargarse a nuestra carpeta “Descargas”.
  • Ahora el siguiente paso es ejecutarlo y seguir los pasos para la primera fase. Hasta que nos salga la siguiente página en nuestro navegador Firefox (en nuestro caso, aunque podéis hacerlo también con el Chrome). Si vis es

Como-instalar-DNI-electronico-mac-paso-1

  • ¡IMPORTANTE! Este paso es sencillo, pero si no lo hacéis, no conseguiréis avanzar luego. Hay que abrir el Finder, vamos a la parte superior y pinchamos en preferencias. Después, pinchamos en la pestaña “barra lateral” y seleccionamos en “dispositivos” nuestro equipo (en mi caso, iMac de CrazyAlf) y cerramos las preferencias en el botón rojo.
  • Abrimos el Firefox última versión (41.0.1) y nos vamos a las preferencias y pinchamos en “Avanzado”.
  • Instalación del Módulo de seguridad PKCS#11, Pinchamos en “Certificados”, luego en dispositivos de seguridad y seguimos la ruta como os dejamos en la imagen para alcanzar la carpeta “Librería” y después lo que habíamos instalado “Libpkcs11-dnie” para instalar el archivo libpkcs11-dnie.so

 

  • Instalación del certificado Raíz de la Autoridad de Certificación DNIe-RCM
    • Seguimos en las Preferencias de Firefox > Avanzado y en la pestaña “Certificados”.
    • Esta vez pulsamos donde pone “Ver certificados”
    • Seguimos la ruta de flechas para llegar al archivo necesario
    • Y por último, nos pedirá que confiemos en una nueva autoridad Certificadora. Le haremos “click” en las tres y daremos a “Aceptar”.

Y con esto, tendríamos listo nuestro Firefox para usar el DNI electrónico en el mac.

¿Habéis tenido algún problema?

Categoría
Tutoriales

Dí mi primer muerdo a una manzana con 10 años CMO y COO de mecambioaMac
122 Comentarios en este post
  • lorenzo
    10 octubre 2015 at 10:41

    Buenos días y gracias por la aportación ante todo.
    Como en versiones anteriores me quedo colgado en el paso en el que instalamos el módulos de seguridad PKCS#11, puesto que tras localizar el archivo correspondiente en la librería e intentar cargarlo aparece el siguiente mensaje de error: “No es posible cargar módulo”.

  • Mecambioamac
    Mecambioamac
    12 octubre 2015 at 11:48

    ¿estás usando la última versión del navegador y del módulo ofrecido por la web de dnielectronico ? ¿qué versión de pkcs estás descargando?

  • lorenzo
    12 octubre 2015 at 21:06

    Así es:
    Firefox 41.0.1
    Yosemite_libpkcs11-dnie-1.2.1_OSX_10.10.dmg
    A ver si podemos aclararlo,
    Muchas gracias de antemano….

  • Mecambioamac
    Mecambioamac
    12 octubre 2015 at 23:39

    ¿Tienes el lector conectado de tarjetas? ¿es compatible?¿Qué modelo es?

  • lorenzo
    13 octubre 2015 at 13:57

    Lo he probado de todas las maneras, conectado, con dni, sin él, reiniciando con él conectado, sin él, etc….
    Es un Inves de Chipnet…..compatible puesto que lo utilicé con distintas versiones, salvo con Yosemite, que me daba exactamente el mismo error

  • Mecambioamac
    Mecambioamac
    13 octubre 2015 at 14:29

    Lorenzo, ¿consigues ver la carpeta de instalación en la librería como comentamos en el tutorial? Mándanos unos pantallazos al mail a ver si así podemos intentar verlo mejor. Un saludo

  • lorenzo
    14 octubre 2015 at 17:38

    Alfonso….ya te pasé el pantallazo al mail, gracias

  • Mario
    15 octubre 2015 at 01:03

    Conseguisteis solucionarlo? yo estoy igual, me da todo el rato “No es posible cargar módulo”.
    Ayudaaaaa

  • Mecambioamac
    Mecambioamac
    15 octubre 2015 at 23:45

    Lorenzo y Mario… echad un vistazo a un tema que a veces suele pasar: corregir errores de permisos de disco.
    Aplicaciones > Utilidades > Utilidades de disco

    Ahora en “El Capitán” ha variado lo de revisión y sale un icono de “primera ayuda”. Ejecutarlo para verificar el sistema de archivos.

  • Jose Pack
    23 octubre 2015 at 16:16

    Recibo un error al instalar el paquete

  • Mecambioamac
    Mecambioamac
    24 octubre 2015 at 12:46

    ¿Qué error te aparece Jose?

  • Jose Pack
    24 octubre 2015 at 18:08

    Me da un error de instalación

  • Jose Pack
    24 octubre 2015 at 18:14

    cuando instalo Yosemite_libpkcs11-dnie-1.2.1_OSX_10.10.dmg
    despues de Installing packages sale “The installation failed. The installer encountered an error that caused the installation to fail. Contact the software manufacturer for assistance”
    Lo siento, pero lo tenfo en ingñes….

  • Jose Pack
    26 octubre 2015 at 19:45

    Dice “validating packages” y despues “The installation failed”

  • Mecambioamac
    Mecambioamac
    27 octubre 2015 at 00:07

    Tranquilo, no pasa nada. Prueba a instalar la otra versión “Yosemite_libpkcs11-dnie-1.2.1_OSX_10.10.pkg”

  • Jose Pack
    27 octubre 2015 at 17:32

    pues me da exactamente el mismo error…

  • Mecambioamac
    Mecambioamac
    27 octubre 2015 at 23:45

    ¿y has corregido también el problema de permisos de archivos del disco duro? ¿problema del Firefox? Quizás borrándolo y reinstalándolo. He probado en otro equipo y no me ha dado problema tampoco con El Capitán.

  • Gonzalo
    2 noviembre 2015 at 23:18

    Para los que tenéis el problema de “No es posible cargar módulo”, a mí me pasaba también, y lo único que pasaba era que ya estaba instalado de alguna versión anterior.
    Dentro de Dispositivos de Seguridad, en la ventana emergente que aparece, busca en la lista de la izquierda el certificado de tu DNIe. Pulsa sobre él, y a la derecha pondrá “Iniciar sesión”. Le das, aparece un popup pidiéndote la contraseña de tu DNIe y al ponerla ya se queda la sesión de tu DNIe iniciada y lo puedes usar tranquilamente.

  • Marta
    4 noviembre 2015 at 21:40

    A mi me da el mismo error de instalación. Verificando paquetes… Instalación fallida.

    Qué puede ser?

  • Mecambioamac
    Mecambioamac
    5 noviembre 2015 at 01:52

    ¿has verificado que tenga permisos correctos el disco duro? ¿desde qué navegador o OSX lo estás haciendo Marta? Hoy salió la v42.0 Firefox y todo correcto.

  • c
    9 noviembre 2015 at 13:56

    Mismo error que Marta y Jose Pack
    so version: 10.11.1 (15B42)

  • Felix
    17 noviembre 2015 at 22:13

    Pues yo tenia configurado el dni electronico en yosemite pero ahora al actualizar a capitan no me funciona. Me pide la contraseña una y otra vez pero no me valida a pesar de que es la correcta. Tengo el ultimo firefox (creo q es el 42), ya he probado a reinstalarlo, a alguien mas le pasa lo mismo??

  • Raffles
    25 noviembre 2015 at 14:37

    Me ocurre lo mismo que a ti Felix, me pide una y otra vez la contraseña. He reiniciado, reinstalado, nada.

  • Mecambioamac
    Mecambioamac
    25 noviembre 2015 at 14:43

    La contraseña es la de tu DNI electrónico o la de tu equipo. ¿en qué punto quedaste?

  • Felix
    25 noviembre 2015 at 17:24

    Pide la contraseña del DNI electrónico.

    Yo creo que no funciona debido a la nueva funcionalidad de protección de librerías “System Integrity Protection” (abreviado SIP) que metieron en la versión 10.11 (elcapitan). A mi me da que las librerías necesarias para usar el lector de DNI electrónico (pkcs11) por algún motivo (seguramente por permisos) no pueden interactuar con el dispositivo físico (el lector de tarjetas) por eso no es capaz de reconocer la contraseña.

    He probado a deshabilitar este modo tal como explican en esta página, pero probando con el modo SIP deshabilitado tampoco me funciona.

    http://www.howtogeek.com/230424/how-to-disable-system-integrity-protection-on-a-mac-and-why-you-shouldnt/

    Supongo que quizás desde la administración pública tienen que sacar un nuevo paquete pkg o dmg que instale las librerías pkcs11 en un directorio que no esté protegido por el SIP o algo así. Hay más info al respecto en estos enlaces:

    https://developer.apple.com/library/prerelease/mac/documentation/Security/Conceptual/System_Integrity_Protection_Guide/FileSystemProtections/FileSystemProtections.html#//apple_ref/doc/uid/TP40016462-CH2-SW1

    http://arstechnica.com/apple/2015/09/os-x-10-11-el-capitan-the-ars-technica-review/8/

    https://derflounder.wordpress.com/2015/10/01/system-integrity-protection-adding-another-layer-to-apples-security-model/

  • Mecambioamac
    Mecambioamac
    25 noviembre 2015 at 19:09

    Felix, yo lo tengo con El Capitán y funciona como pongo en el tutorial .La instalación fue limpia y me funcionaron las librerías a la primera.

  • Adrián
    30 noviembre 2015 at 19:01

    Perfecto me va a la perfección, muchas gracias por todo porque utilizar el DNI-e siguiendo las indicaciones “oficiales” es un lío.
    Un saludo.

  • Marcos
    3 diciembre 2015 at 22:18

    Ha funcionado perfectamente. Mil Gracias

  • Maria Rodriguez
    4 diciembre 2015 at 13:42

    En el paso final, después de darle a Importar y seleccionar el certificado para agregarlo, me sale el mensaje de error “Este certificado personal no puede ser instalado porque Vd. no posee la correspondiente clave privada que se creó cuando se solicitó el certificado”. No sé a qué clave privada se refiere, porque la contraseña del DNIe la he introducido cuando me la ha pedido, así que no sé muy bien cuál es el problema. Agradecería tu ayuda.

  • Maria Rodriguez
    4 diciembre 2015 at 14:04

    Cuando llego al último paso, el de importar el certificado en Ver Certificados, tras seleccionar el archivo ac_raiz_dnie.crt y darle a abrir, me aparece la alerta: “Este certificado personal no puede ser instalado porque Vd. no posee la correspondiente clave privada que se creó cuando se solicitó el certificado”. No sé a qué clave se refiere, puesto que he introducido la contraseña del DNIe cuando me la ha solicitado. Te agradecería mucho que me indicaras cuál puede ser el problema porque es mi primera vez con el DNIe y no sé si me he saltado algún paso.

  • Mecambioamac
    Mecambioamac
    9 diciembre 2015 at 01:12

    Es extraño. No debería salirte ese mensaje. Prueba a corregir los permisos de usuario del equipo, borrar el Firefox y volver a reiniciar la instalación del Firefox y después los certificados. Si sigue el problema, lo siguiente es ponerse en contacto con la FNMT o DniElectronico .es que intenten resolver el problema de tu certificado.
    Un saludo María.

  • mercedes
    10 diciembre 2015 at 19:23

    Buenas tardes, ¿alguien ha resuelto el error de instalación?:

    Error durante la instalación
    El instalador ha detectado un error que ha impedido completar la instalación. Póngase en contacto con el fabricante del software para solicitar ayuda

  • Olga MP
    11 diciembre 2015 at 00:20

    Muchas gracias! Funciona a la perfección con El Capitán 🙂

  • Sergio M.
    13 diciembre 2015 at 20:22

    A los que les sale el error: “No es posible cargar el modulo” no busqueis el archivo con el boton de examinar sino escribir la ruta manualmente…. a mi me pasaba y se soluciono de esa forma…..

  • Gloria
    18 diciembre 2015 at 17:24

    Hola! Me ha funcionado a la perfección la instalación pero cuando voy a la página de la policía a comprobar si funciona no hace mas que repetirme una y otra vez que introduzca la clave maestra del dni y la introduzco correctamente y no hay manera de que acceda. Por lo que he podido ver en el hilo, le pasa a más gente, ¿Habéis encontrado la solución?

    Gracias!

  • Carlos
    18 diciembre 2015 at 18:04

    No hay manera de hacerlo funcionar

  • Guillermo
    21 diciembre 2015 at 16:52

    me pasa lo mismo que a Gloria una y otra vez,
    He reinstalado todo una y otra vez y no consigo hacerlo funcionar….

    Nadie sabe cómo se puede solucionar?
    Al hacer la instalación en firefox todo va bien, el lector parpadea cuando pide la clave.
    Al contrario, cuando voy a la verificación en la página de la policía el lector no parpadea y pide la clave hasta el infinito, parece que no se comunica con el lector….

  • antonio aguilar boluda
    23 diciembre 2015 at 08:09

    Yo tambien estoy igual. Necesito el dnie para hacer cosas y ahorrarme algun viaje. Estoy de los nervios. Además lo tengo recien adquirido y estoy pensando que no ha sido una buena idea.

  • Oscar
    23 diciembre 2015 at 13:28

    a mi me pasa lo mismo

    Me pide la contraseña constantemente

    y con windows sin problema

    Alguien sabe que puede pasar??

  • angel
    29 diciembre 2015 at 15:46

    Hola a tod@s:
    Yo tengo como navegador Chrome y capitan, he instalado las 2 ultimas versiones para yosemite y me dice:

    Error durante la instalación
    El instalador ha detectado un error que ha impedido completar la instalación. Póngase en contacto con el fabricante del software para solicitar ayuda.
    Alguien me puede ayudar.
    Gracias

  • angel
    29 diciembre 2015 at 22:13

    Hola.

    Después de baja el programa e instalarlo, me sale este mensaje:

    Error durante la instalación
    El instalador ha detectado un error que ha impedido completar la instalación. Póngase en contacto con el fabricante del software para solicitar ayuda.

    Como lo puedo solucionar???

  • jose
    2 enero 2016 at 19:54

    seguro que el lector CoolBox CRE-065 tal como indicas en este post es USB 3.0???????????????????????????????

  • Mecambioamac
    Mecambioamac
    4 enero 2016 at 01:43

    No, hemos dicho que tiene 3 USB no que fuera 3.0.

  • Manuel
    10 enero 2016 at 21:30

    Yo lo he instalado 20 veces, desinstaladlo, reincido, enchufado y mi problema es que no me pide la contraseña… Y al instalar el dispositivo de seguridad no se me habilita la opción de iniciar sesión.

    Me aparece estado “no presente” y a veces si desenchufo, saco o meto el dni se me bloquea firefox.

    Alguna idea???

    Gracias

  • Oscar
    12 enero 2016 at 14:04

    Yo no tuve ningún problema con la instalación pero lo problemas vienen con la firma… aquí me da error de almacén o algo así, y parece que está relacionado con Java y los applets de Java, pero no he conseguido solucionarlo de ninguna manera.
    Lo más extraño es que al hacer la prueba en una de las páginas que salen en la página del DNIe, me funciona, pero en la otra no y si lo intento en cualquier otra página que me pida firma… nada… desesperante

  • Alex
    13 enero 2016 at 17:14

    Para los que tenéis problemas con la instalación: aseguraros de que tenéis el Firefox instalado y que está en la carpeta de Aplicaciones. A mi me salía el error porque no tenía el Firefox instalado.

    Suerte!

  • Montse
    13 enero 2016 at 20:04

    Hola, a mi también me sale lo de la clave maestra. Lo he probado con varios lectores, instalado, desintalado… y nada. ¿ Alguien pudo solucionarlo?
    Gracias

  • Julián
    15 enero 2016 at 16:00

    Buenas tardes, después de hacer todos los pasos, cuanto intento verificar el funcionamiento del DNIe en las páginas que ofrece la policia nacional o intento utilizar en DNIe en cualquier pagina web me pide la contraseña una y otra vez, muchas veces hasta que me aparece un error “Código de error: ssl_error_handshake_failure_alert”. ¿Alguién me puede decir a qué podría ser debido?.
    Gracias

  • alartran
    16 enero 2016 at 22:44

    Fantástico tutorial, muchas gracias !!

    He seguido las instrucciones al detalle y lo he conseguido instalar a la primera.

  • javier
    18 enero 2016 at 16:21

    Hola! Me ha funcionado a la perfección la instalación pero cuando voy a la página de la policía a comprobar si funciona no hace mas que repetirme una y otra vez que introduzca la clave maestra del dni y la introduzco correctamente y no hay manera de que acceda. Por lo que he podido ver en el hilo, le pasa a más gente, ¿Habéis encontrado la solución?

  • Garikoitz Knörr
    19 enero 2016 at 10:25

    Fantástico tutorial, muchísimas gracias. Simplemente te sugeriría que añadieras que hay que hacer clic en “Importar”, en el último párrafo de instrucciones, después de “Ver certificados”. Ya sé que parece obvio, y además en los pantallazos que adjuntas se ve claro, pero yo lo añadiría en el propio texto también.

    Por lo demás, todo clarísimo. Me funciona perfectamente con un lector bit4id. Muchas gracias.

    Gari

  • sandri
    23 enero 2016 at 16:31

    Yo lo he hecho todo y creo que lo que no me reconoce es el lector coolbox ese, lo meto y no aparece nada

  • Sveon
    26 enero 2016 at 10:35

    Fantástico tutorial Alfonso, nosotros desde Sveon hemos creado también uno para los usuarios de MAC que quieran usar su DNIe y lo hemos publicado en nuestra web. Actualmente disponemos de 2 modelos totalmente compatibles y testeados con OS X Yosemite y El Capitan, los modelos SCT022 y SCT011. A todos los usuarios que estéis buscando la forma de usar vuestro DNIe en MAC os emplazo a que visitéis nuestra web. Aquí os dejo los enlaces para el SCT011 (http://sveon.com/productos/sconnect-conectividad-usb/sct011-ultracardreader-solo-dni/) y para el SCT022 (http://sveon.com/productos/sconnect-conectividad-usb/lector-de-dnie-y-tarjetas-inteligentes-sct022/).

  • fks
    28 enero 2016 at 13:23

    OSX 10.11.3
    Firefox 42.0
    Lector: EZ100PU

    Se instala sin ningún tipo de error.

    En Información de Sistema -> Hardware -> USB aparece el EZ100PU Smart Card Reader.

    Cuando conecto el lector cambia rápidamente un led de rojo a verde.

    Al intentar probar mediante la página https://av-dnie.cert.fnmt.es/compruebacert/compruebacert con el DNI en el lector, no me da la opción de la firma del DNI para poder firmar.

    Saludos.

  • dani
    28 enero 2016 at 19:44

    Perfecto, Funciona. Muchas gracias por tan fantastico tutorial. A la primera!

  • David
    28 enero 2016 at 23:09

    Pensé que había comentado, pero veo que no. ¿Cómo puedo hacer la configuración de un segundo dni en el equipo con el mismo lector?.

    Gracias.

  • Pablo
    29 enero 2016 at 20:13

    Perfecto, gracias por el tutorial

  • Trini
    5 febrero 2016 at 01:05

    Yo tampoco puedo firmar, el resto sin ningún problema 🙁

  • Newmie
    8 febrero 2016 at 08:51

    Hola, me pasa como a muchos de los lectores. Tengo el “nuevo DNI”, el 3.0, y en El Capitan me pide constantemente la clave maestra, dejando el navegador completamente colgado. Cuando intento iniciar sesión desde el menú “certificados” en Firefox me dice que no ha podido iniciar la sesión. Como curiosidad, probé con el DNI de mi mujer, el cual tiene los certificados ya caducados, y me inicia la sesión sin problemas (aunque evidentemente no puedo realizar trámites porque los certificados expiraron). El DNIe de mi mujer es de los viejos.

    Incluso fui a comisaría a cambiar el PIN por si lo tenía bloqueado por algún motivo, pero nada. Además hoy lo he podido probar en una máquina con Windows y funciona sin problema en todas las webs. Dado que el problema aparece únicamente con el DNI 3.0 y no con el antiguo, me inclino a pensar que los drivers para Mac no soportan la nueva versión de DNI.

    Saludos.

  • David
    10 febrero 2016 at 23:43

    Newmie, eso me cuadra perfectamente con lo que me pasa. Configuré sin problema mi dni 2.0 y al tratar de hacerlo con el de mi mujer, 3.0, que debería consistir solo en meterlo por lo que me han dicho en la ayuda oficial, sale la ventana de la clave y ahí se acaba. Ni la acepta ni desaparece la ventana.

  • Willy
    11 febrero 2016 at 20:26

    A mi me pasa lo mismo. Mi dnie funciona sin problema en OSX pero el nuevo v3 de mi mujer no hay manera. En cambio el v3 en windows sin problema.

  • Ruth
    14 febrero 2016 at 16:24

    Hola, tengo el Ios X EL Capitan ultima version , dnie 3 y lector sveon 011. Descague manual desde sveon, lo hago todo por el firefox , descargo todo al pie de la letra y sin ningun problema. Cuando accedo de nuevo a Preferencias, Dipositivos y le doy a inciar sesion en dnie, me pide la clave maestra, le pongo el pin que me dieron y me dice FALLO AL INICIO DE SESION… Lo desinstalado todo de nuevo, borrado drivers, descargada de nuevo firefox y vuelta a empezar…. Y no hay manera!!!!! ¿ alguen me pude ayudar? Resido en ROma y ahora estoy de vacas en España y quiero aporvechar para llevarme esto instalado y hacer las gestiones en el extranjero comodamente.
    GRACIAS

  • Enrique Ruiz
    18 febrero 2016 at 13:28

    Buenos días, yo también tengo el Mac Os X El Capitán, el 3.0 y el mismo lector y no funciona. Me he puesto en contacto con la oficina técnica de la policía y me indican esto:

    Le agradecemos el interés demostrado en el DNIe. A continuación intentaremos dar respuesta a su mensaje. En caso de que la información que le facilitamos no sea la que precisa, no dude en ponerse de nuevo en contacto con nosotros en la dirección soporte.sacdni@policia.es

    Comunicarle que los certificados de la versión 3.o del DNIe no funcionan correctamente.

    Nuestros técnicos están trabajando en esto, cuando se sepa algo lo publicaran en nuestra Web de la policía

  • Enrique Ruiz
    18 febrero 2016 at 13:31

    Por otro lado la solución que te propongo Ruth es que solicites certificado digital desde la FNMT (Fábrica Nacional de Moneda y Timbre). Tiene el mismo uso que el DNI digital lo único que tienes que instalarlo en el ordenador que lo solicites y debes de ir a AEAT o a la SEGURIDAD SOCIAL para que comprueben tu identidad. Yo lo solicité este martes y ayer ya lo tenía instalado en mi iMac y funcionando.

  • jordi
    18 febrero 2016 at 16:22

    confirmado por mi parte:
    Capitan + dnie 3 no funciona
    Capitan + dnie 2 OK

  • jordi
    18 febrero 2016 at 16:23

    confirmado, por mi parte:
    Capitan + dnie 3 no funciona
    Capitan + dnie 2 OK

  • Enrique
    18 febrero 2016 at 21:46

    Hola, me pasaba igual que a Ruth y comtacté con la oficina técnica decla Policia, y me indican que los certificados de los DNI 3.0 no funcionan y una vez que los arreglen nos lo comunicarán al través de la propia web de la Policía. Lo que yo he hecho es solicitar certificado digital a través de la Fábrica Nacional de Moneda y Timbre y en un día y con una sencilla instalación, accedo a los mismos servicios que con el DNI.

  • Newmie
    22 febrero 2016 at 14:32

    Pues es bien curioso, porque yo también me he puesto en contacto con la oficina técnica pero la he respuesta que he recibido justo esta mañana es diferente de la que os han dado a vosotros. Según parece, hay publicadas ya algunas librerías que sí que funcionarían con El Capitan y el DNI 3.0.

    Ahora la duda que tengo es cómo puedo desinstalar las librerías que ya tengo instaladas y que no funcionan para poder instalar de manera “limpia” éstas que me proponen y así evitar que haya conflictos si tengo instaladas las dos a la vez. ¿Alguien sabe cómo hacerlo?

    Os engancho aquí abajo la respuesta que me han dado.

    Saludos

    “Buenos días:
    Le agradecemos el interés demostrado en el DNIe. A continuación intentaremos dar respuesta a su mensaje. En caso de que la información que le facilitamos no sea la que precisa, no dude en ponerse de nuevo en contacto con nosotros en la dirección soporte.sacdni@policia.es
    Pruebe a instalar una de estas librerias:
    OS X Yosemite y Capitán (10.10 y 10.11) Compatible DNIe 3.0

    MD5: 358b5a10fcc9d997e9900829db12b067 libpkcs11-dnie-1.2.2_OSX_10.10.pkg
    MD5: 819d2a1a60c6a8c63f3895da35428882 libpkcs11-dnie-1.2.2_OSX_10.10.dmg

    Están en la página de descargas de http://www.dnielectronico.es

    Si le queda alguna duda, o necesita más información, por favor no dude en ponerse de nuevo en contacto con nosotros.

    Esperando haber aclarado sus dudas, quedamos a su disposición.
    Si le funciona, la respuesta, le rogaríamos que nos lo comunique para poder dar un mejor servicio a los próximos ciudadanos con el mismo error.

    Reciba un cordial saludo.”

  • Enrique
    1 marzo 2016 at 12:01

    Ante la duda y antes de acudir al soporte técnico de la Policía, me entretuve en probar todas las librerías y es cierto que esas eran las únicas que permitían el inicio de sesión pero sin embargo pero no hacía operativo el DNI, ya que tendrías que introducir un número indeterminado de veces el PIN, para nada.

    Desistí de usar el DNI electrónico y solicité el certificado de la FNMT y accedo a los mismos servicios que con dicho DNI y con la ventaja que no me hace falta hardware.

    Como reseña os digo que en MAC OS X El Capitán, funciona mejor este certificado en CHROME.

  • Ángel
    3 marzo 2016 at 12:40

    Yo he intentado instalar el DNIe 3.0 con El Capitan y un lector Sveon SCT022. Todo se instala perfectamente según el mismo tutorial del fabricante, pero cuando ya tengo las librerías instaladas, después de reiniciar no lee el DNI. Ni siquiera aparece en dispositivos de seguridad de firefox y al entrar en la página de comprobación no me aparece. El lector no parpadea. Lo he probado con DNI 2.0 y tampoco. ¿Alguna idea de que hacer?
    Gracias.

  • OSCAR
    15 marzo 2016 at 14:57

    HOLA NO FUNCIONA

    EN WINDOWS PERFECTAMENTE PERO EN CAPTAIN Y DNIE 3.0 ME PIDE CONSTANTEMENTE LA CLAVE

    ES IMPOSIBLE HACERLO FUNCIONAR

    SI ALQUIEN SABE QUE NOS LO DIGA PORQUE SOMOS VARIOS A LOS QUE LES PASA

    GRACIAS Y PERDON POR LAS MAYUSCULAS PERO ES QUE NO HAY SOLUCION Y ASI A VER SI ALGUIEN NOS PUEDE AYUDAR

  • Alex
    17 marzo 2016 at 22:46

    Llevo tres dias intentando instalar el sveon sct022… Espero no morir de desesperacion…. No hay manera… He instalado y desístalo y privado mil descargas y siempre igual… No puede añadir módulo… Solo una vez me dejo instalar y me dejo funcionarperfectamebte,me acosté tan contento pero al día siguiente cuando lo necesitaba para hacer tramites.., no es como si todo se hubiese desinstálalo , ya no me dejaba hacer nada.. Había desaparecido todo. … Desinstale de nuevo y al instalar ya no me deja nada … Millones de mensajes de no se puede añafir nada … Ya no sé saque driver bajar? Estoy mareado y voy a optar a devolver el aparato antes de estrellarlo. Alguien me informa de cómo pedir certificado digital en fnmt??? , Ayuda!!!!!!

    He probado todo.. A meter ruta manual… A enchufar aparato a quitar tarjeta… Sin comentarios

  • Alex
    18 marzo 2016 at 21:48

    Ya no sé si debo instalar las librerías del manual de sveon para mac,es decir Yosemite….i instalar las últimas que han actualizado para Mac en la web del DNI.

    Debo tener conectado el lector durante la instalación ? Con tarjeta o sin tarjeta?

    Pruebo a desinstalar firefox e instalar de nuevo?

    O desisto de mi intento e instaló un certificado digital de la fnmt? Es gratis? Se tienen las mismas funciones?

    Que diferencia hay en las librerías entre terminación Dmg y Pkg?

    Tengo Mac capitan… Cuál es la librería que instaláis?

    La única vez que pude instalar dispositivo, que no sé como hice, tras usarlo una vez y apagar ordenador ya no me dejaba usar de nuevo,en dispositivos de seguridad me aparecía DNI electrónico pero al pincharlo no me dejaba iniciar sesión , no me daba opción, no estaba visible esa opción.

    Sigo desesperado

  • Oscar
    21 marzo 2016 at 15:43

    HOLA POR FIN LA SOLUCION PARA EL REINICIO DE LA CONTRASEÑA

    ALEX hay que instalar la dmg y ya esta

    adjunto remito versiones de sftware actualizados para mac con version 3.0

    OS X Yosemite y Capitán (10.10 y 10.11) Compatible DNIe 3.0

    MD5: 68d9379ef41a41ce90adef85d68849b4 libpkcs11-dnie-1.3.1_OSX-10.10_10.11.pkg
    MD5: f21fdf86fb0f72969e9cd98d12b1a6ae libpkcs11-dnie-1.3.1_OSX-10.10_10.11.dmg

    Estas son las librerias que hay que intalar para el dnie 3,0 que por eso no funcionaban

  • Alex
    22 marzo 2016 at 15:33

    Me da el mismo error…. No se puede añadir módulo… Desisto, he devuelto el lector DNI y he solicitado el certificado digital y me quito de problemas

  • Cristina
    6 abril 2016 at 12:02

    ¡Hola! Yo tengo el DNI 2.0 y nada, no hay manera. Me sale todo el rato la petición de contraseña y acaba bloqueándome el explorador. Ya estoy cansada de probar todo tipo de cosas y esta es la única manera que tengo para pedir un certificado importante para el trabajo. ¿Alguien ha podido solucionar lo de la contraseña? 🙁

  • Esther
    8 abril 2016 at 13:28

    Yo tengo un pc con windows 8, mi problema tanto con el certificado digital como con el lector de dni electronico és que lo instalo todo tal y como se me indica però en ningun moment me pide la contraseña ni me deja utilitzarlo. Creo que el problema és que no se me instala en la parte personal sino en la de otras personas, però no hay manera de poderlo poner en la parte personal. Alguien me podria dar una solución?????

  • Wojciech Rojewski
    10 abril 2016 at 20:26

    Hola. A mi me va peor. Luego de que pide la clave (PIN1) por dos veces, el firefox se cuelga y deja de responder, así que tengo que forzar salida. No hay manera.

  • Alejandro
    14 abril 2016 at 13:46

    Buenas.
    He instalado las nuevas librerías (1.3.1) y nada, no se puede inicar el dispositivo.
    Te pide continamente la “contraseña maestra del DNI electronico” y no llega a cargar el certificado; metas lo que metas dice nanay.
    DNI 3.0 con Capitán.

    Me sacaré el de CERES de la FNMT… (recuerdo que fue el primero que me saqué hará 20 años!!!)

  • Nachete
    17 abril 2016 at 10:51

    Muy buen tutorial Mecambioamac! Parece que en el área de descargas de la Policía ya hay disponibles paquetes compatibles con DNIe 3.0. Lo he instalado sin ningún problema. La presentación de certificado me va como un tiro, pero la nueva versión de Java (versión 8 update 77) no me deja firmar… He estado leyendo otros foros y visto tutoriales pero sin éxito. Mecambioamac o algún buen samaritano sabe sacarme del apuro?

  • francisco jose
    17 abril 2016 at 12:10

    un millon de gracias amigoo

  • Fanny
    18 abril 2016 at 19:46

    Chaval te lo has currado un huevo y me ha servido de gran ayuda. Muchas gracias

  • Miguel
    19 abril 2016 at 20:03

    Muchas gracias, buena explicacion, salio perfecto.

  • JMT
    22 abril 2016 at 12:42

    Hasta ahora solo había conseguido que me funcionase el dni antiguo pero los nuevos certificados “libpkcs11-dnie-1.3.1.pkg” funcionan perfectamente con DNI 3.0 y osX 10.10

  • Art
    2 mayo 2016 at 20:36

    Fantástico… funciona a las mil maravillas en Firefox!

    ¿Qué habría que hacer en Google Chrome? No sé dónde importar el fichero .so ¡mil gracias!

  • María
    5 mayo 2016 at 14:11

    Buenas…
    Muchas gracias por una información tan detallada.
    Sin embargo, no consigo tampoco instalar el módulo. Me sale el famoso aviso “No es posible cargar el módulo”. He leído los comentarios y he ido comprobando: tenfo la última actualización de Firefox, he corregido permisos de disco. Como dice Gonzalo, he probado a darle al botón “Iniciar Sesión”, pero no lo tengo habilitado”. Tampoco me funciona escribiendo manualmente la ruta, como dice Sergio M. ¿Alguien a quien le pasase eso ha podido solucionarlo de otra manera?

    Por otro lado, no es la primera vez que intento instalar el lector de tarjetas, así que al igual que Newmie, me gustaría hacer una instalación limpia. Copio y pego lo que escribió:
    “Ahora la duda que tengo es cómo puedo desinstalar las librerías que ya tengo instaladas y que no funcionan para poder instalar de manera “limpia” éstas que me proponen y así evitar que haya conflictos si tengo instaladas las dos a la vez. ¿Alguien sabe cómo hacerlo?”
    Tampoco yo sé hacerlo. Si alguien me pudiera aconsejar, sería de gran ayuda.

    Por último: tengo El Capitan y mi lector de tarjetas no es el que especificáis aquí. Yo tengo un Smart Card Reader COMBO de Woxter, y empiezo a plantearme si todas estas instrucciones que indicáis son válidas sólo para un lector de tarjetas que venga preinstalado para Mac… (Éste mío no lo es). Yo pensaba que, precisamente, tanta indicación es para poder utilizar uno que no venga orientado para Mac. (Porque si viniese, como sucede en Windows, no habría que hacer nada, ¿Verdad?).

    Muchas gracias, Alfonso y Mecambioamac por la aportación.
    Si alguien pudiera echarme un cable sería estupendo. Gracias!

  • octavio
    9 mayo 2016 at 13:48

    Hola muchas gracias por el tutorial, lo he seguido paso a paso pero los dos enlaces de verificacion que estan en la web de policia (VAlide y FNMT) no consigo avanzar.la de FNMT ni siquiera me la abre firefox, me da error de conexion segura fallida : Ha ocurrido un error durante una conexión a av-dnie.cert.fnmt.es. El otro extremo de la conexión SSL no ha podido negociar un conjunto aceptable de parámetros de seguridad. Código de error: SSL_ERROR_HANDSHAKE_FAILURE_ALERT
    Y en valide cuando le clico a validar certificado no se me abre ninguna ventana no se si el problema es de java que lo actualice a la ultima version la 8.91
    Estoy usando el lector que nombra el tutorial e instale la ultima version para os x el capitan y dni 3.0 pero de ahi no avanzo.si alguien pudiese indicarme que estoy haciendo mal. muchas gracias

  • jose
    11 mayo 2016 at 13:22

    Mismo problema que octavio. A pesar de haber confirmado la excepción de la página de verificación, aparece SSL_ERROR_HANDSHAKE_FAILURE_ALERT y es imposible cargarla. Mi dispositivo también es el mismo, y he instalado (aparentemente) bien los certificados.

    gracias de antemano

  • José Antonio
    13 mayo 2016 at 20:33

    Estimado amigo: Tengo el siguiente problema… Instale DNIe siguiendo las instrucciones… Me funciono un dia correctamente. (el día que lo instalé) Pero ahora me sale, despues de poner la clave del dnie, una pagina que dice: SSL_ERROR_HANDSHAKE_FAILURE_ALERT.. He instalado de nuevo (Borrando previamente todo) el Módulo de Seguridad PKCS#11 y el Certificado Raíz. Y sigue haciendo lo mismo..Tengo un MAc OS X El Capitan Versión 10.11.4 y he instalado el último módulo libpkcs11-dnie-1.3.1_OSX-10.10_10.11.dmg
    A alguien le ha pasado y sabe la solución??
    Saludos y gracias!

  • Xabier
    14 mayo 2016 at 02:39

    El mismo problema que muchos: no me deja instalar el módulo y no se como eliminar todo lo que tengo del DNIe instalado para empezar desde cero.

    Mi lector es el mismo que recomiendan aquí (CoolBox CRE-065) , en mi iMac “El Capitán” actualizada a la última versión 10.11.4 (a fecha 14 de mayo) y Firefox en 45.0.1

    No hay forma de hacerlo funcionar. A ver si encuentro la forma de limpiar instalación anterior fallida y poder empezar de cero.

  • Roberto
    17 mayo 2016 at 07:42

    Tengo el mismo problema que José Antonio. Me funcionó durante un día perfectamente y luego ya no. He realizado la instalación varias veces (y la previa desinstalación) y nada. Por cierto, con la reciente versión de Capitán 10.11.5.
    Esperando una solución… Saludos

  • Roberto
    18 mayo 2016 at 16:33

    Curioso… Probé con un Windows 8.1 y me dijo que la contraseña estaba bloqueada. He ido a un punto de actualización del certificado de la Policía Nacional, he vuelto a probar en osx i firefox ha reconocido el certificado (ponía mis datos después de pedirme la contraseña en preferencias/avanzado/ver certificados). Luego he intentado probar a usarlo en un portal de la administración, no me lo ha reconocido y a partir de ahí firefox tampoco me lo reconoce… Caos… vuelve a estar bloqueado mi certificado??? Increíble.

  • Jorge
    21 mayo 2016 at 17:44

    Yo después de muchos problemas borré toda la carpeta /Library/Libpkcs11-fnmtdnie y comencé según lo explicado en este video: https://youtu.be/NZ2YvG3p4Uw y funcionó perfectamente.
    DNI 3.0 lector Sveon SCT011, El Capitán 10.11.5 (15F34) y última versión de Firefox.

  • Celia
    26 mayo 2016 at 13:54

    Visto que mucha gente tiene el problema de que pide constantemente la contraseña en firefox (Mac), pero el sistema no avanza y acaba por aparecer un mensaje de error, he estado escribiendo al servicio técnico y su respuesta es…. redobles:

    No se que le puede ocurrir, a lo único que le puedo remitir es a nuestra Web de la policía en el área de descargas esta todo lo concerniente a mac

  • Rafa
    3 junio 2016 at 22:56

    Muchas gracias, eres un pedazo de crack. Estaba por enviar el DNI-e a tomar viento, pero he tropezado con esta página y lo he resuelto en un periquete. Repito gracias mil, perfectamente explicado.

  • J E Isea
    6 junio 2016 at 20:14

    OSX 10.11.15
    FIrefox 46.0.1

    Muy buenas Alfonso (y todos):

    Al hacer la instalación del certificado Raíz de la Autoridad de Certificación DNIe-RCM, obtengo el siguiente error:

    “This personal certificate can’t be installed because you do not own the corresponding private key which was created when the certificate was requested””
    No se qur hacer.

    Pido ayuda, por favor.

    Saludos,

    Jesus

  • iSuriv
    7 julio 2016 at 19:14

    Buenas, para el problema de “No se puede añadir módulo”. Yo he encontrado una posible solución, copio y pego. El problema viene de JAVA.

    Cuando hagáis, el paso 4, conectar el usb en uno de los puertos USB, si os sigue saliendo en el otro, en el mio es el USB derecho. Añadirlo y ponerle la ruta a mi me ha funcionado.

    Para lo de los errores, es el paso 5,

    “SISTEMA OPERATIVO MAC OS X:

    1.- Compruebe que no se encuentra ejecutando ningún programa que requiera la máquina virtual de JAVA.

    2.- Para buscar el panel de control de Java en Mac OS X (10.7.3 y superior), en Preferencias del sistema, haga clic en el icono de Java para acceder al panel de control de Java.

    3.- En la ventana “Panel de control de Java”, pulsar sobre la pestaña “Avanzado”.

    4.- Expandir el nodo “Depuración” y marcar las tres opciones
    disponibles: “Activar rastreo”, “Activar registro de eventos” y “Ver excepciones al cargar la miniaplicación”. Expandir el nodo “Consola de Java” y seleccionar “Ver Consola”. Tras ello pulsar el botón “Aceptar”.

    5.- Ejecutar el Cliente de Firma o acceder a la página que hace uso del cliente y, una vez que se produzca el problema o error, copiar la salida completa de la consola JAVA en un archivo de texto.”

  • Nieves
    15 julio 2016 at 18:58

    Buenas tardes, llevo 3 días intentando instalar un lector INVES 4 en 1, en un sistema OS El Capitan 10.11 y me he descargado los drivers adecuados pero al ir a instalar el libpkcs11-dnie-1.3.1.pkg, me da constantemente error de instalación y me dice que contacte con el proveedor del software. He desinstaladlo Firefox, he borrado todas las posibles librerías de los anteriores intentos de instalación sin éxito alguno. Esto es desesperante. ¿Qué puedo hacer? Muchas gracias.

  • Núria
    18 julio 2016 at 18:44

    Tengo el mismo problema. Estoy intentando instalar el software necesario para operar con mi DNIe desde la web de la policía y a medio instalar me sale un mensaje de error (The installation failed. The installer encountered an error that caused the installation to fail. Contact de software manufacturer for assistance.). Utilizo iOS El Capitán 10.11 y tengo DNI 2.0. El lector que pretendo utilizar es un CoolBox CRE-065. Me he puesto en contacto con el departamento de servicio al cliente de la policía y también con Coolbox. También he visto y leído tutoriales y he hecho decenas de pruebas fallidas. ¿Alguien ha tenido el mismo problema?

    Saludos

  • Dave
    12 septiembre 2016 at 19:29

    Buenas, he seguido los pasos señalados y en principio no me ha dado problemas para instalar el certificado en el navegador Firefox 48.0.2.

    Ahora bien, tengo el lector CRE/065, pero el nuevo formato de DNI. Al instalar el modulo Yosemite_libpkcs11-dnie-1.2.1_OSX_10.10.dmg me aparece el mismo error que a Núria (comentario de arriba). Actualmente tengo El Capitán. He probado con otros múdulos 3.0, pero en todos me da error de instalación.

    Tampoco tengo posibilidad de comprobar si mi lector lee o no mi DNI, ya que cuando intento hacerlo, las distintas páginas no me deja abrirlas debido a que “el sitio no es seguro”. Además, que no tengo ni idea de cómo comprobarlo, ya que no me aclaro con la opción “Verificar que funciona” en dnielectronico.es.

    ¿Cómo puedo comprobar si mi lector reconoce mi DNI?
    ¿Cómo puedo comprobar si, habiendo realizado todos los pasos aquí mencionados, puedo utilizar este sistema?

    Gracias de antemano, un saludo.

  • Josep Llop
    29 septiembre 2016 at 07:28

    el DNIe es una puta mierda (mejor hablar claro).

    Es difícil a veces hacer una cosa tan y tan mal que no pueda ser peor ni poniendo mucho esfuerzo. Pues eso es el DNIe. Desde un principio, y no lo han modificado por aquello de “por mis cojones, que ya se acostumbraran”.

    Personalmente uso otros mecanismos de verificación oficiales, que son mucho más prácticos, eficientes, nada complicados y que uso cientos de veces a diario. Y no tienen nada que ver con el DNI electrónico.

    Si el Ministerio del Interior no se pone las pilas (y dudo que se las ponga vista su marcha y su actual ministro, lo más profundo de las cavernas), hay que buscarse otros mecanismos de verificación digital, sean con tarjetas bancarias o gremiales, etc. (que las hay).

    Lo del DNIe es vergonzoso que todavia persista.

  • Josep Llop
    29 septiembre 2016 at 07:30

    Pasad del DNI electronico. No vale la pena.

    A ver si se dan cuenta de una puta vez y enmiendan.

  • monica
    10 octubre 2016 at 19:35

    Gracias por el tutorial!
    Mi duda es:

    En el paso preferencias/certificados/dispositivos de seguridad/ cuando vas a darle a aceptar no ocurre nada. No me deja darle a aceptar una vez cargado el archivo como explicaste.

    Gracias

  • Miguel A. Jiménez
    16 diciembre 2016 at 02:19

    Buenas noches.
    Tras realizar la instalación del software y del primer certificado, cuando intento instalar el certificado Raíz de la Autoridad de Certificación DNIe-RCM, me da el siguiente error:
    “Este certificado personal no puede ser instalado porque Vd. no posee la correspondiente clave privada que se creó cuando se solicitó el certificado.”
    A partir de ahí, ya no puedo hacer nada.

  • Adrian
    23 diciembre 2016 at 18:49

    Hola:
    Tengo un lector de dnie y me ha ido siempre bien, pero hace poco me dio por intentar pedir el certificado digital por la FNMT para no tener que estar usando el lector todo el rato. Sin éxito, me pasaba algo que habéis comentado de la contraseña maestra. Desistí y decidí seguir usando el dnie. Pero ahora no sé por qué pero siempre que intento hacer un trámite me pide contraseña maestra para dni electrónico en todas partes. Nunca antes me pasaba. Antes me pedía el pin del dni y ya. Ahora no puedo hacer trámites por internet 🙁
    Si alguien ha conseguido resolver esto porque le ha pasado agradezco ayuda.
    Un saludo 🙂

  • Adrian
    23 diciembre 2016 at 18:51

    PD: Me dicen que use Internet Explorer, pero es que en ese buscador no me reconoce el dnie.

  • Andres
    6 enero 2017 at 13:33

    A mi me pasa exactamente como a Miguel, “Este certificado personal no puede ser instalado porque Vd. no posee la correspondiente clave privada que se creó cuando se solicitó el certificado.” Estos del DNIe son unos chapuzas como pocos. Llevo intentándolo instalar desde hace 4 años y no ha habido nunca forma de instalarlo. Utilizo Mac con iOS Sierra.

  • Francisc
    22 enero 2017 at 20:48

    Hola, tengo instalado el os Sierra en un Macbook Air, he comprado el multilector COOLBOX CRE/065, SIGO TODOS LOS PASOS QUE MENCIONAS, pero cuando se trata de añadir el modulo Library/Libpkcs11-dnie/lib/libpkcs11-dnie.so, señal un error y no admite continuar. He probado todo, pero ahí se queda bloqueado.
    Que puedo hacer?

  • Francisco
    22 enero 2017 at 20:49

    Hola, tengo instalado el os Sierra en un Macbook Air, he comprado el multilector COOLBOX CRE/065, SIGO TODOS LOS PASOS QUE MENCIONAS, pero cuando se trata de añadir el modulo Library/Libpkcs11-dnie/lib/libpkcs11-dnie.so, señal un error y no admite continuar. He probado todo, pero ahí se queda bloqueado.
    Que puedo hacer?

  • C0untZ3r0
    30 enero 2017 at 19:31

    Hola:
    Para instalar el software del DNI electrónico tenéis que tener PREVIAMENTE instalado MOZILLA FIREFOX en el Mac.

    Una vez instalado, la instalación se realiza correctamente.

  • Ana
    3 febrero 2017 at 13:06

    Hola,
    Yo también con un macbook air, sierra, con firefox en última versión, tengo problemas en el último paso.
    Cuando intento cargar el certificado el error es: Alert – Unable to add module.
    Alguien ha conseguido una solución para este paso?
    Gracias!!

  • Ramon
    16 febrero 2017 at 21:25

    Mi más sincero agradecimiento. He conseguido hacerlo funcionar el lector. Unicamente recomiendo mejorar la explicación del procedimiento en el punto de descarga de librerías del link de la policía. En realidad hay que descargar dos ficheros, en mi versión Capitán 10.11:
    – MD5: 68d9379ef41a41ce90adef85d68849b4 libpkcs11-dnie-1.3.1_OSX-10.10_10.11.pkg
    y
    – MD5: f21fdf86fb0f72969e9cd98d12b1a6ae libpkcs11-dnie-1.3.1_OSX-10.10_10.11.dmg

    Luego siguiendo escrupulosamente los pasos del tutorial, funciona perfectamente.

    Enhorabuena

  • Sandra
    2 marzo 2017 at 23:07

    Hola,
    Tengo un Macbook, la última versión de Firefox y el lector de DNIe Smart Card Reader de Woxter.
    He instalado el archivo libpkcs11-dnie.so correctamente y tb el Certificado pkcs1-sha256WithRSAEncryption.
    Pero me sigue saliendo el error: SSL_ERROR_HANDSHAKE_FAILURE_ALERT.
    Alguien me puede ayudar a entender por qué puede ser?

    Muchas grcs!

  • Mecambioamac
    Mecambioamac
    4 marzo 2017 at 11:31

    Puede ser un problema del DNI electrónico. Comprueba en una máquina de alguna comisaría. En alguna ocasión nos ha pasado lo mismo, y después de actualizar la firma digital, funcionaba correctamente. Esperamos noticias de si lo solventaste.

  • Kiko Ferrer
    16 abril 2017 at 13:06

    Despues de toda la semana santa intentando instalarlo, con lectura de tutoriales, y consultas de todos los “Cracks de Internet, me cambio a Mac se convierte en Me CAGO en MAC.

    que les den no se puede hacer todo tan dificil para la gente que simplemente somos y pretendemos ser usuarios

  • Pablo
    28 mayo 2017 at 11:48

    Hola,

    He realizado todo proceso según indicas en un sistema OS X El Capitan 10.11.6. Todo ha ido perfectamente. He conectado el lector (Seveon SCT022M), introduzco el DNIe, pulso en PREFERENCIAS>AVANZADO>DISPOSITIVOS DE SEGURIDAD, y en el listado de Módulos y Dispositivos de seguridad me aparece Nuevo Módulo PKCS#11. Pero cuando lo depliego, no me aparece DNI Electrónico. Sólo aparece Alcor Micro AU9540.

  • Mecambioamac
    Mecambioamac
    29 mayo 2017 at 13:07

    Pablo, ¿el Firefox es el último? De todos modos, si ves que a la primera no te ha funcionado, por cualquier motivo, prueba a borrar el firefox por si hubo un error al configurar el lector.

  • Ana
    6 junio 2017 at 01:46

    Hola a todos! Tengo macOS Sierra 10.12.5, Firefox 53.0.3 (64-bit) y el lector de DNI Tecnimax. Me he descargado los drivers libpkcs11-dnie-1.4.0.dmg y libpkcs11-dnie-1.4.0.pkg que son los correspondientes para Mac Sierra y me da el error “The installation failed. The installer encountered an error that caused the installation to fail. Contact de software manufacturer for assistance”. Sabe alguien que podría hacer? No vivo en España si que no me puedo acercar a una comisaría. Gracias!

  • Manu
    25 junio 2017 at 11:41

    Funciona espectacular en Sierra si lo haces paso por paso.

    Millones de gracias por hacer accesible un proceso tan complejo como la activación del DNI electrónico.

  • Antoni
    23 agosto 2017 at 19:27

    Hola, buenas tarde:
    Me pasa lo mismo que a Ana. Me falla la instalación de libpkcs11-dnie-1.4.0.dmg y el pkg. He provado también con versiones anteriores y también me falla la instalación. A ver si alguien nos puede ayudar. Muchas gracias

  • Mecambioamac
    Mecambioamac
    24 agosto 2017 at 01:56

    ¿Cuál es el problema que te da a la hora de instalar? ¿qué mensaje te sale?

  • Jose F
    25 agosto 2017 at 09:09

    Acabo de instalar libpkcs11-dnie-1.4.0.dmg en Sierra 10.12.6, me da un error de validación pero los ficheros están ahi, por lo que he seguido los pasos de este tutorial, cargar la autoridad, y despues el certificado. Cuando introduzco el DNI 3.0 me pide la contraseña master y al ponerla me aparecen dos certificados a mi nombre, osea todo parece correcto.
    Pero al intentar hacer un trámite me pide continuamente la contraseña y al final después de 6 o 7 veces me da un error 403. Error de identificación. No se detecta certificado digital o no se ha seleccionado correctamente. Da igual que sea hacienda que la seguridad social, el error es el mismo en todos los casos

  • Deja una respuesta

    *

    *

    Suscríbete en Feedly

    Síguenos en feedly

    Uso de cookies

    Este sitio web utiliza cookies para que usted tenga la mejor experiencia de usuario. Si continúa navegando está dando su consentimiento para la aceptación de las mencionadas cookies y la aceptación de nuestra política de cookies, pinche el enlace para mayor información. ACEPTAR

    Aviso de cookies